--
-- Table structure for table `paypal_history`
--

CREATE TABLE `paypal_history` (
  `Date` date NOT NULL,
  `Time` time NOT NULL,
  `TimeZone` varchar(12) character set latin1 NOT NULL,
  `Name` varchar(255) character set latin1 NOT NULL,
  `Type` varchar(100) character set latin1 NOT NULL,
  `Status` varchar(20) character set latin1 NOT NULL,
  `Currency` varchar(4) character set latin1 NOT NULL,
  `Gross` decimal(9,2) NOT NULL,
  `Fee` decimal(7,2) NOT NULL,
  `Net` decimal(9,2) NOT NULL,
  `FromEmailAddress` varchar(255) character set latin1 NOT NULL,
  `ToEmailAddress` varchar(200) character set latin1 NOT NULL,
  `TransactionID` varchar(40) character set latin1 NOT NULL,
  `CounterpartyStatus` varchar(100) character set latin1 NOT NULL,
  `AddressStatus` varchar(100) character set latin1 NOT NULL,
  `ItemTitle` varchar(200) character set latin1 NOT NULL,
  `ItemID` varchar(100) character set latin1 NOT NULL,
  `ShippingandHandlingAmount` decimal(7,2) NOT NULL,
  `InsuranceAmount` decimal(7,2) NOT NULL,
  `SalesTax` decimal(7,2) NOT NULL,
  `Option1Name` varchar(50) character set latin1 NOT NULL,
  `Option1Value` varchar(200) character set latin1 NOT NULL,
  `Option2Name` varchar(50) character set latin1 NOT NULL,
  `Option2Value` varchar(200) character set latin1 NOT NULL,
  `AuctionSite` varchar(200) character set latin1 NOT NULL,
  `BuyerID` varchar(200) character set latin1 NOT NULL,
  `ItemURL` varchar(200) character set latin1 NOT NULL,
  `ClosingDate` date default NULL,
  `EscrowId` varchar(100) character set latin1 NOT NULL,
  `InvoiceId` varchar(100) character set latin1 NOT NULL,
  `ReferenceTxnID` varchar(100) character set latin1 NOT NULL,
  `InvoiceNumber` varchar(200) character set latin1 NOT NULL,
  `CustomNumber` varchar(100) character set latin1 NOT NULL,
  `Quantity` int(4) NOT NULL,
  `ReceiptID` varchar(100) character set latin1 NOT NULL,
  `Balance` double(9,2) NOT NULL,
  `AddressLine1` varchar(255) character set latin1 NOT NULL,
  `AddressLine2` varchar(255) character set latin1 NOT NULL,
  `City` varchar(200) character set latin1 NOT NULL,
  `State` varchar(100) character set latin1 NOT NULL,
  `Zip` varchar(20) character set latin1 NOT NULL,
  `Country` varchar(100) character set latin1 NOT NULL,
  `ContactPhoneNumber` varchar(150) character set latin1 NOT NULL,
  `Extra` varchar(100) character set latin1 NOT NULL,
  KEY `FromEmailAddress` (`FromEmailAddress`),
  KEY `Date` (`Date`),
  KEY `TransactionID` (`TransactionID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;